Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.mindprod.vercheck
Enum AppState

    java.lang.Object
      java.lang.Enum<AppState>
          com.mindprod.vercheck.AppState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AppState>

    public enum AppState

extends java.lang.Enum<AppState>
implements java.io.Serializable

Possible states an app can have vis a vis update available

created with Intellij Idea

Version:
  1.0 Created by IntelliJ IDEA.
Author:
  Roedy Green, Canadian Mind Products

Enum Constant Summary
`CHECKING` in process of being checked
`EMPTY` empty slot
`INVALID` Entry has invalid data fields.
`NO_CONNECTION` could not contact website, so status is unknown.
`RECENTLY_CHANGED` new version available, marker missing or does not match.
`UNCHANGED_RELEASED_IN_LAST_MONTH` released a week to a month ago, but unchanged since marker.
`UNCHANGED_RELEASED_IN_LAST_WEEK` released in last week, but unchanged since marker.
`UNCHANGED_RELEASED_MORE_THAN_A_MONTH_AGO` released a month to a year ago, but unchanged since marker.
`UNCHANGED_RELEASED_MORE_THAN_A_YEAR_AGO` released over a year ago, unchanged since marker.
`UNTESTED` not checked yet

Field Summary
`static long` | `serialVersionUID` Defining a layout version for a class.

Method Summary
`javax.swing.ImageIcon` | `getIcon()` get icon corresponding to this enum
`java.lang.String` | `getShortName()` get short name of enum constant, used an HTML class
`static AppState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AppState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY

    public static final AppState EMPTY

  empty slot

### UNTESTED

    public static final AppState UNTESTED

  not checked yet

### CHECKING

    public static final AppState CHECKING

  in process of being checked

### RECENTLY_CHANGED

    public static final AppState RECENTLY_CHANGED

  new version available, marker missing or does not match.

### UNCHANGED_RELEASED_IN_LAST_WEEK

    public static final AppState UNCHANGED_RELEASED_IN_LAST_WEEK

  released in last week, but unchanged since marker.

### UNCHANGED_RELEASED_IN_LAST_MONTH

    public static final AppState UNCHANGED_RELEASED_IN_LAST_MONTH

  released a week to a month ago, but unchanged since marker.

### UNCHANGED_RELEASED_MORE_THAN_A_MONTH_AGO

    public static final AppState UNCHANGED_RELEASED_MORE_THAN_A_MONTH_AGO

  released a month to a year ago, but unchanged since marker.

### UNCHANGED_RELEASED_MORE_THAN_A_YEAR_AGO

    public static final AppState UNCHANGED_RELEASED_MORE_THAN_A_YEAR_AGO

  released over a year ago, unchanged since marker.

### NO_CONNECTION

    public static final AppState NO_CONNECTION

  could not contact website, so status is unknown. This is not German. It means wersion-broken.

### INVALID

    public static final AppState INVALID

  Entry has invalid data fields.

Field Detail

### serialVersionUID

    public static final long serialVersionUID

  Defining a layout version for a class. Watch the spelling and keywords!

  See Also:
    Constant Field Values

Method Detail

### values

    public static AppState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AppState c : AppState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AppState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getIcon

    public javax.swing.ImageIcon getIcon()

  get icon corresponding to this enum

  Returns:
    16x16 or smaller ImageIcon.

### getShortName

    public java.lang.String getShortName()

  get short name of enum constant, used an HTML class

  Returns:
    short name.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD